package VistaControlador;

import java.awt.Dimension;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;

import javax.swing.JButton;
import javax.swing.JTextField;

public class VistaPanelModificar extends VistaPanel{
	private JTextField viejoNombre;
	private JTextField nuevoNombre;
	JTextField viejoEditar;
	JTextField nuevoEditar;
	private JTextField dineroPanel;
	JTextField dineroEditar;
	JButton editarTransaccion;
	JButton editarGestion;
	VistaPanelModificar() {
		GridBagConstraints constrain = new GridBagConstraints();
		this.setLayout(new GridBagLayout());
		
		//this.add(VistaPanelGestion.elegirMes);
		
		this.viejoNombre = new JTextField("Nombre");
		this.viejoNombre.setEditable(false);
		constrain.gridx = 0;
		constrain.gridy = 0;
		this.add(this.viejoNombre, constrain);
		
		this.nuevoNombre = new JTextField("Nombre nuevo");
		this.nuevoNombre.setEditable(false);
		constrain.gridx = 0;
		constrain.gridy = 1;
		this.add(this.nuevoNombre, constrain);
		
		this.viejoEditar = new JTextField();
		this.viejoEditar.setPreferredSize(new Dimension(80, 17));
		constrain.gridx = 1;
		constrain.gridy = 0;
		this.add(this.viejoEditar, constrain);
		
		this.nuevoEditar = new JTextField();
		this.nuevoEditar.setPreferredSize(new Dimension(80, 17));
		constrain.gridx = 1;
		constrain.gridy = 1;
		this.add(this.nuevoEditar, constrain);
		
		this.editarGestion = new JButton("Gestion");
		constrain.gridx = 0;
		constrain.gridy = 2;
		this.add(this.editarGestion, constrain);
		
		this.editarTransaccion = new JButton("Transaccion");
		constrain.gridx = 1;
		constrain.gridy = 2;
		this.add(this.editarTransaccion, constrain);
		
		this.dineroPanel = new JTextField("Dinero");
		this.dineroPanel.setEditable(false);
		constrain.gridx = 0;
		constrain.gridy = 3;
		this.add(this.dineroPanel, constrain);
		
		this.dineroEditar = new JTextField();
		constrain.gridx = 1;
		constrain.gridy = 3;
		this.dineroEditar.setPreferredSize(new Dimension(80, 17));
		this.add(this.dineroEditar, constrain);
		
		
	}
}
